function agl = hingeAngle(F, ~, ~)
    v1 = F(1:2);
    v2 = F(3:4);
    v1_3 = [v1; 0];
    v2_3 = [v2; 0];
    cr = cross(v1_3, v2_3);
    c = cr(3);
    tangent = abs(c)/dot(v1_3, v2_3);
    agl = atanNew(tangent);
end

function agl = atanNew(x)
    temp = atan(x);
    if temp < 0
        agl = temp + pi;
    else
        agl = temp;
    end
end