% x: 12x1
% F: 6x1
function F = deformationGradientCloth(x)
    x0 = x(1:3);
    x1 = x(4:6);
    x2 = x(7:9);
    x3 = x(10:12);
    y1 = x1 - x0;
    y2 = x2 - x0;
    y3 = x3 - x0;
    t1 = y1 / norm(y1);
    F = [(y2 - t1 * t1.' * y2);(y3 - t1 * t1.' * y3)];
end