function J = deformationJacobian(f, x, delta)
    J = [];
    dim = length(x);
    for i = 1:dim
        J = [J, gradient1D(f, x, delta, i)];
    end
end

function g = gradient1D(f, x, delta, ii)
    n = length(x);
    z = zeros(n, 1);
    z(ii) =  delta;
    g = (f(x + z) - f(x - z))/2/delta;
end