function [agl, s] = hingeAngleCrossSign(v)
    v1_3 = [v(1:2); 0];
    v2_3 = [v(3:4); 0];
    cr = cross(v1_3, v2_3);
    c = cr(3);
    s = sign(c);
    tangent = abs(c)/dot(v1_3, v2_3);
    agl = atanNew(tangent);
end

function agl = atanNew(x)
    temp = atan(x);
    if temp < 0
        agl = temp + pi;
    else
        agl = temp;
    end
end