function pk1 = pfpxClothSimp(x)
    x0 = x(1:3);
    x1 = x(4:6);
    x2 = x(7:9);
    x3 = x(10:12);
    y1 = x1 - x0;
    y2 = x2 - x0;
    y3 = x3 - x0;
    norm1 = norm(y1);
    t1 = y1 / norm1;
    sigma = eye(3);
    f0 = y2 - t1 * t1.' * y2;
    f1 = y3 - t1 * t1.' * y3;
    tau2 = -(t1.' * y2 * sigma)/norm1;
    tau3 = -(t1.' * y3 * sigma)/norm1;
    pk1 = [-tau2-sigma, tau2, sigma, zeros(3,3);
            -tau3-sigma, tau3, zeros(3,3), sigma];
end