function pzpF = pzpFCloth(F)
    y1 = F(1:3);
    y2 = F(4:6);
    y3 = F(7:9);
    norm1 = norm(y1);
    t1 = y1 / norm1;
    sigma = eye(3) - t1 * t1.';
    f0 = y2 - t1 * t1.' * y2;
    f1 = y3 - t1 * t1.' * y3;
    tau2 = -(t1.' * y2 * sigma + t1 * f0.')/norm1;
    tau3 = -(t1.' * y3 * sigma + t1 * f1.')/norm1;
    pzpF = [tau2, sigma, zeros(3,3);
            tau3, zeros(3,3), sigma];
end